---
title: Selvage
---

<a title="Alfred Barlow, Ryj, PKM, CC BY-SA 3.0 &lt;http://creativecommons.org/licenses/by-sa/3.0/&gt;, via Wikimedia Commons" href="https://commons.wikimedia.org/wiki/File:Warp_and_weft_2.jpg"><img width="256" alt="Warp and weft 2" src="doc/Warp_and_weft_2.jpg"></a>

selvage aims to be for URLs what git is to files.

Selvage acts as a bridge between URLs and files, and works with git to support making useful archives of web pages.

> A selvage (US English) or selvedge (British English) is a "self-finished" edge of a piece of fabric which keeps it from unraveling and fraying. [source](https://en.wikipedia.org/wiki/Selvage)

A tool for making self-contained static copies of webpages/websites.

## context

Web browsers like Firefox let you save webpages as local files. When saving you have a choice between "HTML only" and "complete". In an HTML-only save, the HTML of a page is saved to a local file, and all linked resources are left online. Any non-absolute links are resolved to be absolute so that they will continue to work. In a "complete" save, all embedded links (those required for the display of the page such as images, stylesheets, and javascript files) are downloaded to a local folder and their links are rewritten to point to these localized copies. In this way the "complete" copy is more self-contained, not requiring reference to online resources.

However, any linked pages, say on the same website, are left as absolute links. Saving these pages from the browser as a "complete" archive produces a second, disconnected snapshot but the browser provides no easy way to merge different archives.

## examples

IN PROGRESS



